Bug 17289 - Holds awaiting pickup shows date unformatted
Summary: Holds awaiting pickup shows date unformatted
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Andreas Roussos
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-10 07:51 UTC by Katrin Fischer
Modified: 2018-06-04 20:10 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
In the Staff client, under Circulation -> Circulation reports, the date shown in the heading of the 'Holds awaiting pickup' report is not formatted according to the 'dateformat' system preference (as reported by Katrin Fischer). (1.79 KB, patch)
2016-09-10 08:57 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 17289 - Holds awaiting pickup shows date unformatted (1.76 KB, patch)
2016-09-10 09:10 UTC, Andreas Roussos
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 17289: Holds awaiting pickup shows date unformatted (1.85 KB, patch)
2016-09-14 14:27 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 17289: Holds awaiting pickup shows date unformatted (1.91 KB, patch)
2016-09-18 07:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-09-10 07:51:18 UTC
The date shown in the heading of the 'holds awaiting pickup' report is not formatted according to the dateformat system preference.
Comment 1 Andreas Roussos 2016-09-10 08:57:13 UTC Comment hidden (obsolete)
Comment 2 Andreas Roussos 2016-09-10 09:10:51 UTC Comment hidden (obsolete)
Comment 3 Héctor Eduardo Castro Avalos 2016-09-14 14:27:58 UTC
Created attachment 55567 [details] [review]
[SIGNED-OFF]Bug 17289: Holds awaiting pickup shows date unformatted

In the Staff client, under Circulation -> Circulation reports,
the date shown in the heading of the 'Holds awaiting pickup'
report is not formatted according to the 'dateformat' system
preference.

This (trivial) patch fixes that.

Test plan:
1) In the Staff client, go to Circulation and under 'Circulation
   reports' click on 'Holds awaiting pickup'
   (cgi-bin/koha/circ/waitingreserves.pl).
2) Observe that the date shown in the heading is always formatted as
   yyyy-mm-dd regardless of the value of the 'dateformat' syspref.
3) Apply the patch.
4) Re-visit the 'Holds awaiting pickup' report. Confirm that the patch
   worked, i.e. the date shown in the heading is formatted according
   to the 'dateformat' system preference.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised
Comment 4 Katrin Fischer 2016-09-18 07:44:24 UTC
Created attachment 55636 [details] [review]
[PASSED QA] Bug 17289: Holds awaiting pickup shows date unformatted

In the Staff client, under Circulation -> Circulation reports,
the date shown in the heading of the 'Holds awaiting pickup'
report is not formatted according to the 'dateformat' system
preference.

This (trivial) patch fixes that.

Test plan:
1) In the Staff client, go to Circulation and under 'Circulation
   reports' click on 'Holds awaiting pickup'
   (cgi-bin/koha/circ/waitingreserves.pl).
2) Observe that the date shown in the heading is always formatted as
   yyyy-mm-dd regardless of the value of the 'dateformat' syspref.
3) Apply the patch.
4) Re-visit the 'Holds awaiting pickup' report. Confirm that the patch
   worked, i.e. the date shown in the heading is formatted according
   to the 'dateformat' system preference.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 5 Kyle M Hall 2016-09-27 11:14:33 UTC
Pushed to master for 16.11, thanks Andreas!
Comment 6 Frédéric Demians 2016-09-30 08:52:49 UTC
Pushed in 16.05. Will be in 16.05.05.
Comment 7 Julian Maurice 2016-10-14 12:04:29 UTC
Pushed to 3.22.x, will be in 3.22.12